Debian Bug report logs - #618013
clarify the syntax of Debian control files

version graph

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Ansgar Burchardt <ansgar@2008.43-1.org>

Date: Sun, 13 Mar 2011 11:39:01 UTC

Severity: wishlist

Merged with 593909

Found in version debian-policy/3.9.1.0

Fixed in version debian-policy/3.9.2.0

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#618013; Package debian-policy. (Sun, 13 Mar 2011 11:39:04 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@2008.43-1.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-policy: please clarify where multi-line fields are allowed in control files
Date: Sun, 13 Mar 2011 12:38:06 +0100
Package: debian-policy
Version: 3.9.1.0
Severity: normal

Hi,

I think the wording in chapter 5 (Control files and their fields) is
quite unclear where multi-line fields are allowed.  I am mostly
interested in debian/control in source files, so I'll just discuss this
here.

Accoring to [1] only Uploaders and the relationship fields from
section 7 are supposed to span multiple (physical) lines, but at least
Zack and me got the impression[2] that this is intended for all fields.
Adam also agreed that the current wording is not unambiguous[3].

I would like to have a definite list of fields that may span multiple
lines.  This should also document whether newlines should be preserved
as for the Description or Uploaders fields or not.  Maybe it would also
be good to specify how fields not documented in policy (such as Vcs-* or
Python-Version) are supposed to be handled.

Regards,
Ansgar

[1] <http://bugs.debian.org/372731#10>
[2] <http://bugs.debian.org/526713#40>
[3] <http://bugs.debian.org/526713#25>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#618013; Package debian-policy. (Sun, 13 Mar 2011 22:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 13 Mar 2011 22:36:06 GMT) Full text and rfc822 format available.

Message #8 received at 618013@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Ansgar Burchardt <ansgar@2008.43-1.org>, 618013@bugs.debian.org
Subject: Re: Bug#618013: debian-policy: please clarify where multi-line fields are allowed in control files
Date: Mon, 14 Mar 2011 07:52:26 +0900
Le Sun, Mar 13, 2011 at 12:38:06PM +0100, Ansgar Burchardt a écrit :
> 
> I think the wording in chapter 5 (Control files and their fields) is
> quite unclear where multi-line fields are allowed.  I am mostly
> interested in debian/control in source files, so I'll just discuss this
> here.

Dear Ansgar,

I have proposed a general clarification of chapter 5 in bug #593909. You can
find the patch in message 135.

http://bugs.debian.org/593909#135

Do you think that it answers your questions ? If yes, how about merging the
bugs ?  Otherwise, I can propose a revised patch.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#618013; Package debian-policy. (Sun, 13 Mar 2011 23:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 13 Mar 2011 23:42:03 GMT) Full text and rfc822 format available.

Message #13 received at 618013@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: Charles Plessy <plessy@debian.org>
Cc: 618013@bugs.debian.org
Subject: Re: Bug#618013: debian-policy: please clarify where multi-line fields are allowed in control files
Date: Mon, 14 Mar 2011 00:40:10 +0100
Hi,

Charles Plessy <plessy@debian.org> writes:
> Le Sun, Mar 13, 2011 at 12:38:06PM +0100, Ansgar Burchardt a écrit :
>> 
>> I think the wording in chapter 5 (Control files and their fields) is
>> quite unclear where multi-line fields are allowed.  I am mostly
>> interested in debian/control in source files, so I'll just discuss this
>> here.
>
> I have proposed a general clarification of chapter 5 in bug #593909. You can
> find the patch in message 135.
>
> http://bugs.debian.org/593909#135
>
> Do you think that it answers your questions ? If yes, how about merging the
> bugs ?  Otherwise, I can propose a revised patch.

They can be merged.  I missed #593909 when looking into the bugs
currently filed against debian-policy.

I will also close #526713 and #533495 once your suggested patch has been
applied to the policy as all user-defined fields and fields not defined
in policy (such as Vcs-*) will always be `simple' fields for which
folding is not allowed.  Please correct me if I am wrong here.

Regards,
Ansgar




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#618013; Package debian-policy. (Sun, 20 Mar 2011 06:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 20 Mar 2011 06:57:06 GMT) Full text and rfc822 format available.

Message #18 received at 618013@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Ansgar Burchardt <ansgar@debian.org>, 618013@bugs.debian.org
Subject: Re: Bug#618013: debian-policy: please clarify where multi-line fields are allowed in control files
Date: Sun, 20 Mar 2011 16:17:01 +0900
forcemerge 593909 618013
thanks

> I will also close #526713 and #533495 once your suggested patch has been
> applied to the policy as all user-defined fields and fields not defined
> in policy (such as Vcs-*) will always be `simple' fields for which
> folding is not allowed.  Please correct me if I am wrong here.

Hi Ansgar,

fields are simple unless specified otherwise.  If there is a consensus that the
Vcs-* fields can be folded, then this should be written in the Developers
Reference §6.2.5 where they are documented. This is compatible with the Policy.

Have a nice Sunday,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Forcibly Merged 593909 618013. Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Sun, 20 Mar 2011 06:57:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'clarify where multi-line fields are allowed in control files' from 'debian-policy: please clarify where multi-line fields are allowed in control files' Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Mon, 04 Apr 2011 03:27:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'clarify the syntax of Debian control files' from 'clarify where multi-line fields are allowed in control files' Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Mon, 04 Apr 2011 03:27:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#618013; Package debian-policy. (Mon, 04 Apr 2011 03:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 04 Apr 2011 03:33:11 GMT) Full text and rfc822 format available.

Message #29 received at 618013@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Ansgar Burchardt <ansgar@debian.org>
Cc: 618013@bugs.debian.org, Charles Plessy <plessy@debian.org>
Subject: Re: Bug#618013: debian-policy: please clarify where multi-line fields are allowed in control files
Date: Sun, 03 Apr 2011 20:21:16 -0700
Ansgar Burchardt <ansgar@debian.org> writes:

> I will also close #526713 and #533495 once your suggested patch has been
> applied to the policy as all user-defined fields and fields not defined
> in policy (such as Vcs-*) will always be `simple' fields for which
> folding is not allowed.  Please correct me if I am wrong here.

Please don't close those bugs based on the resolution of this bug.  Policy
currently says that the fields can't be folded, but some people have
requested that they be foldable, which is what #526713 is about.  All that
resolving this bug would do is change the way in which Policy says that
they can't be folded, which doesn't address the bug.

We still have to decide whether the specification of the fields should be
changed so that they can be folded.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Added tag(s) patch. Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Mon, 04 Apr 2011 13:48:06 GMT) Full text and rfc822 format available.

Added tag(s) pending; removed tag(s) patch. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Wed, 06 Apr 2011 07:37:22 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 15 May 2011 07:32:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:12:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.